/* 
 * keypad
 *
 * A suite of communication APIs for web and enterprise applications
 *
 * OpenAPI spec version: v1
 * Contact: fmalka@modulo.co.il
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = SeriousSIP.Client.SwaggerDateConverter;

namespace SeriousSIP.Model
{
    /// <summary>
    /// Defines SIPLeg
    /// </summary>
    [JsonConverter(typeof(StringEnumConverter))]
        public enum SIPLeg
    {
        /// <summary>
        /// Enum ALeg for value: ALeg
        /// </summary>
        [EnumMember(Value = "ALeg")]
        ALeg = 1,
        /// <summary>
        /// Enum BLeg for value: BLeg
        /// </summary>
        [EnumMember(Value = "BLeg")]
        BLeg = 2,
        /// <summary>
        /// Enum Any for value: Any
        /// </summary>
        [EnumMember(Value = "Any")]
        Any = 3    }
}
